> ## Documentation Index
> Fetch the complete documentation index at: https://ona.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List Login Providers

> Lists available login providers with optional filtering.

`Unary` · [`Accounts`](https://ona.com/docs/api-reference/generated/account/overview)

Lists available login providers with optional filtering.

Use this method to:

* View supported authentication methods
* Get provider-specific login URLs
* Filter providers by invite

### Examples

* List all providers:

  Shows all available login providers.

  ```yaml theme={null}
  pagination:
    pageSize: 20
  ```

* List for specific invite:

  Shows providers available for an invite.

  ```yaml theme={null}
  filter:
    inviteId: "d2c94c27-3b76-4a42-b88c-95a85e392c68"
  pagination:
    pageSize: 20
  ```

## Endpoint

```text theme={null}
POST /api/gitpod.v1.AccountService/ListLoginProviders
```

Send a Bearer token as described in [Authentication](https://ona.com/docs/api-reference.md#authenticate-requests). If your organization uses a custom management-plane domain, replace `https://app.ona.com` with that domain.

## Request example

```bash cURL theme={null}
export ONA_HOST=https://app.ona.com
export ONA_API_KEY=<your-token>

curl --request POST \
  --url "$ONA_HOST/api/gitpod.v1.AccountService/ListLoginProviders" \
  --header "Authorization: Bearer $ONA_API_KEY" \
  --header "Content-Type: application/json" \
  --data '{
  "pagination": {
    "pageSize": 1
  }
}'
```

```python Python theme={null}
import gitpod.v1.account_pb2 as account_pb2
import gitpod.v1.pagination_pb2 as pagination_pb2
from ona_sdk import create_client_from_env

ona = create_client_from_env()
request = account_pb2.ListLoginProvidersRequest(
    pagination=pagination_pb2.PaginationRequest(
        page_size=1,
    ),
)
response = ona.services.account.list_login_providers(request)
print(response)
```

```typescript TypeScript theme={null}
import { create } from "@bufbuild/protobuf";
import { createClientFromEnv } from "@gitpod/sdk";
import { ListLoginProvidersRequestSchema } from "@gitpod/sdk/gitpod/v1/account_pb";

async function main() {
  const ona = createClientFromEnv();
  const request = create(ListLoginProvidersRequestSchema, {
    pagination: {
      pageSize: 1,
    },
  });
  const response = await ona.services.account.listLoginProviders(request);
  console.log(response);
}

main().catch(console.error);
```

```go Go theme={null}
package main

import (
	"context"
	"fmt"
	"log"

	"connectrpc.com/connect"
	"github.com/gitpod-io/gitpod-sdk-go/sdk"
	gitpodpb "github.com/gitpod-io/gitpod-sdk-go/v1"
)

func main() {
	ona, err := sdk.NewFromEnv()
	if err != nil {
		log.Fatal(err)
	}

	request := connect.NewRequest(&gitpodpb.ListLoginProvidersRequest{
		Pagination: &gitpodpb.PaginationRequest{
			PageSize: 1,
		},
	})
	response, err := ona.Services.Account.ListLoginProviders(context.Background(), request)
	if err != nil {
		log.Fatal(err)
	}
	fmt.Println(response.Msg)
}
```

```json Request body theme={null}
{
  "pagination": {
    "pageSize": 1
  }
}
```

## Request

`gitpod.v1.ListLoginProvidersRequest`

| Field | Type | Required | Description |
| - | - | - | - |
| `pagination` | [PaginationRequest](#type-gitpod-v1-pagination-request) | No | pagination contains the pagination options for listing login methods |
| `filter` | [Filter](#type-gitpod-v1-list-login-providers-request-filter) | No | filter contains the filter options for listing login methods |

## Response

`gitpod.v1.ListLoginProvidersResponse`

| Field | Type | Required | Description |
| - | - | - | - |
| `pagination` | [PaginationResponse](#type-gitpod-v1-pagination-response) | Yes | Constraints: `required=true`. |
| `loginProviders` | array of [LoginProvider](#type-gitpod-v1-login-provider) | No | |
| `allowCustom` | boolean | No | allow\_custom indicates whether custom SSO is allowed for this domain |

## Related types

> [accordion] Filter
>
> `gitpod.v1.ListLoginProvidersRequest.Filter`
>
> | Field | Type | Required | Description |
> | - | - | - | - |
> | `inviteId` | string | No | invite\_id is the ID of the invite URL the user wants to login with Constraints: `string.uuid=true`. |
> | `email` | string | No | email is the email address to filter SSO providers by |

> [accordion] LoginProvider
>
> `gitpod.v1.LoginProvider`
>
> | Field | Type | Required | Description |
> | - | - | - | - |
> | `loginUrl` | string | No | login\_url is the URL to redirect the browser agent to for login, when provider is "custom" |
> | `provider` | string | Yes | provider is the provider used by this login method, e.g. "github", "google", "custom" Constraints: `required=true`. |

> [accordion] PaginationRequest
>
> `gitpod.v1.PaginationRequest`
>
> | Field | Type | Required | Description |
> | - | - | - | - |
> | `pageSize` | integer | No | Page size is the maximum number of results to retrieve per page. Defaults to 25. Maximum 100. Constraints: `int32.gte=0, int32.lte=100`. |
> | `token` | string | No | Token for the next set of results that was returned as next\_token of a PaginationResponse |

> [accordion] PaginationResponse
>
> `gitpod.v1.PaginationResponse`
>
> | Field | Type | Required | Description |
> | - | - | - | - |
> | `nextToken` | string | No | Token passed for retrieving the next set of results. Empty if there are no more results |


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.